## Index

### Enumerations

- Alignment
- AmmoType
- AnimationFlags
- AudioFlag
- BadgeStyle
- BlipColor
- BlipSprite
- Bone
- CameraShake
- CheckboxStyle
- CheckpointCustomIconStyle
- CheckpointIcon
- CloudHat
- ComponentAttachmentPoint
- Control
- CursorSprite
- DrivingStyle
- ExplosionType
- FiringPattern
- Font
- ForceType
- Gender
- HelmetType
- HudColor
- HudComponent
- InputMode
- IntersectOptions
- InvertAxisFlags
- Language
- LeaveVehicleFlags
- LoadingSpinnerType
- MarkerType
- MaterialHash
- MenuAlignment
- NotificationType
- ParachuteLandingType
- ParachuteState
- PedHash
- RadioStation
- RagdollType
- Relationship
- RopeType
- ScreenEffect
- SpeechModifier
- VehicleClass
- VehicleColor
- VehicleDoorIndex
- VehicleDrivingFlags
- VehicleHash
- VehicleLandingGearState
- VehicleLockStatus
- VehicleModType
- VehicleNeonLight
- VehiclePaintType
- VehicleRoofState
- VehicleSeat
- VehicleToggleModType
- VehicleWeaponHash
- VehicleWheelIndex
- VehicleWheelType
- VehicleWindowIndex
- VehicleWindowTint
- WeaponComponentHash
- WeaponGroup
- WeaponHash
- WeaponLivery
- WeaponLiveryColor
- WeaponTint
- Weather
- WeatherTypeHash
- ZoneID

### Classes

- AbstractUIMenuPanel
- Audio
- Blip
- Camera
- Checkpoint
- Color
- Container
- Crypto
- Effects
- Entity
- EntityBone
- EntityBoneCollection
- Fading
- Game
- GameplayCamera
- Hud
- InvalidWeaponComponent
- ListItem
- LiteEvent
- LoadingPrompt
- Maths
- Menu
- MenuControl
- MenuControls
- MenuSettings
- Model
- Notification
- ParticleEffect
- ParticleEffectAsset
- Ped
- PedBone
- PedBoneCollection
- Pickup
- Player
- Point
- PointF
- Prop
- Quaternion
- RaycastResult
- Rectangle
- RelationshipGroup
- Scaleform
- Screen
- Size
- Sprite
- String
- TaskSequence
- Tasks
- Text
- Timerbar
- UIMenuCheckboxItem
- UIMenuColorPanel
- UIMenuGridPanel
- UIMenuItem
- UIMenuListItem
- UIMenuPercentagePanel
- UIMenuSeparatorItem
- UIMenuSliderItem
- UIMenuStatisticsPanel
- UIMenuStatisticsPanelItem
- Vector3
- Vehicle
- VehicleDoor
- VehicleDoorCollection
- VehicleMod
- VehicleModCollection
- VehicleToggleMod
- VehicleWheel
- VehicleWheelCollection
- VehicleWindow
- VehicleWindowCollection
- Weapon
- WeaponAsset
- World

### Interfaces

- DlcWeaponComponentData
- DlcWeaponData
- IDrawable
- InvertAxis
- WeaponComponentHudStats
- WeaponHudStats

### Variables

- DlcWeaponComponentData
- DlcWeaponData
- WeaponComponentHudStats
- WeaponHudStats

### Functions

- Wait
- enumValues
- getStringFromUInt8Array
- getUInt32FromUint8Array

## Variables

### DlcWeaponComponentData

DlcWeaponComponentData: Map<WeaponComponentHash, DlcWeaponComponentData>

- Defined in weaponComponent/DlcWeaponComponentData.ts:43

DlcWeaponComponentData

### DlcWeaponData

DlcWeaponData: Map<WeaponHash, DlcWeaponData>

- Defined in weapon/DlcWeaponData.ts:47

DlcWeaponData - Mapping of WeaponHash -> DlcWeaponData

### WeaponComponentHudStats

WeaponComponentHudStats: Map<WeaponComponentHash, WeaponComponentHudStats>

- Defined in weaponComponent/WeaponComponentHudStats.ts:31

Mapping of WeaponComponentHash -> WeaponComponentHudStats

### WeaponHudStats

WeaponHudStats: Map<WeaponHash, WeaponHudStats>

- Defined in weapon/WeaponHudStats.ts:31

Mapping of WeaponHash -> WeaponHudStats

## Functions

### Const Wait

- Wait(milliseconds: number): Promise<void>

- - Defined in utils/index.ts:12

  #### Parameters

  - ##### milliseconds: number

  #### Returns Promise<void>

### enumValues

- enumValues<T>(enumObj: {}): IterableIterator<T>
- enumValues<T>(enumObj: {}): IterableIterator<Exclude<T, string>>

- - Defined in utils/enumValues.ts:7

  EnumValues - iterate over enum values Just copy&paste from https://github.com/microsoft/TypeScript/issues/4753#issuecomment-694557208

  #### Type parameters

  - #### T: string

  #### Parameters

  - ##### enumObj: {}

    - ##### [key: string]: T

  #### Returns IterableIterator<T>

- - Defined in utils/enumValues.ts:8

  #### Type parameters

  - #### T: string | number

  #### Parameters

  - ##### enumObj: {}

    - ##### [key: string]: T

  #### Returns IterableIterator<Exclude<T, string>>

### Const getStringFromUInt8Array

- getStringFromUInt8Array(buffer: Uint8Array, start: number, end: number): string

- - Defined in utils/getStringFromUInt8Array.ts:8

  get string from uint8 array

  #### Parameters

  - ##### buffer: Uint8Array

    Uint8Array

  - ##### start: number

    The beginning of the specified portion of the array

  - ##### end: number

    The end of the specified portion of the array

  #### Returns string

### Const getUInt32FromUint8Array

- getUInt32FromUint8Array(buffer: Uint8Array, start: number, end: number): number

- - Defined in utils/getUInt32FromUint8Array.ts:8

  get uint32 from uint8 array

  #### Parameters

  - ##### buffer: Uint8Array

    Uint8Array

  - ##### start: number

    The beginning of the specified portion of the array

  - ##### end: number

    The end of the specified portion of the array

  #### Returns number

Generated using TypeDoc